Skip to main content
GET
/
api
/
customer
/
list
List Customers
curl --request GET \
  --url https://app.dimepayments.com/api/customer/list \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": [],
  "filters": []
}
'
{
  "data": [
    [
      {
        "id": 6,
        "uuid": "66f1c230-68cf-4d58-b47c-1bcb83adfddd",
        "first_name": "Ryan",
        "last_name": "Taylor",
        "company_name": "",
        "phone": "+17707892072",
        "phone_verified_at": null,
        "email": "rtaylor82@gmail.com",
        "email_verified_at": null,
        "addr1": "4655 Hwy 136 W",
        "addr2": "",
        "addr3": "",
        "city": "Dawsonville",
        "state": "GA",
        "zip": "30534",
        "country": "USA",
        "email_communications": true,
        "sms_communications": false,
        "last_login_at": "2026-04-28T20:45:43.000000Z",
        "last_login_ip": "69.85.118.154"
      },
      {
        "id": 6,
        "uuid": "66f1c230-68cf-4d58-b47c-1bcb83adfddd",
        "first_name": "Ryan",
        "last_name": "Taylor",
        "company_name": "",
        "phone": "+17707892072",
        "phone_verified_at": null,
        "email": "rtaylor82@gmail.com",
        "email_verified_at": null,
        "addr1": "4655 Hwy 136 W",
        "addr2": "",
        "addr3": "",
        "city": "Dawsonville",
        "state": "GA",
        "zip": "30534",
        "country": "USA",
        "email_communications": true,
        "sms_communications": false,
        "last_login_at": "2026-04-28T20:45:43.000000Z",
        "last_login_ip": "69.85.118.154"
      }
    ]
  ]
}

Authorizations

Authorization
string
header
required

You can retrieve your token by visiting your dashboard and clicking Generate API token under your profile in top right.

Body

application/json
data
object
Example:
[]
filters
object
Example:
[]

Response

data
array[]
Example:
[
[
{
"id": 6,
"uuid": "66f1c230-68cf-4d58-b47c-1bcb83adfddd",
"first_name": "Ryan",
"last_name": "Taylor",
"company_name": "",
"phone": "+17707892072",
"phone_verified_at": null,
"email": "rtaylor82@gmail.com",
"email_verified_at": null,
"addr1": "4655 Hwy 136 W",
"addr2": "",
"addr3": "",
"city": "Dawsonville",
"state": "GA",
"zip": "30534",
"country": "USA",
"email_communications": true,
"sms_communications": false,
"last_login_at": "2026-04-28T20:45:43.000000Z",
"last_login_ip": "69.85.118.154"
},
{
"id": 6,
"uuid": "66f1c230-68cf-4d58-b47c-1bcb83adfddd",
"first_name": "Ryan",
"last_name": "Taylor",
"company_name": "",
"phone": "+17707892072",
"phone_verified_at": null,
"email": "rtaylor82@gmail.com",
"email_verified_at": null,
"addr1": "4655 Hwy 136 W",
"addr2": "",
"addr3": "",
"city": "Dawsonville",
"state": "GA",
"zip": "30534",
"country": "USA",
"email_communications": true,
"sms_communications": false,
"last_login_at": "2026-04-28T20:45:43.000000Z",
"last_login_ip": "69.85.118.154"
}
]
]